> This page is for North America.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://trustly.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://trustly.ferndocs.com/_mcp/server.

# Tokenize an Account

POST https://sandbox.trustly.one/api/v1/accounts/tokenize
Content-Type: application/json

Convert legacy ACH ABA routing and account numbers or an International Bank Account Number (IBAN) into a verified token to meet NACHA requirements.

Reference: https://trustly.ferndocs.com/api-reference/api/accounts/post-accounts-tokenize-verify-account

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `verifyAccount` (boolean, optional, default: false) — If true, Trustly will verify the provided account data. Default value is false.

### Body (application/json)

This endpoint expects an object.

- `merchantId` (string, required)
- `account` (AccountsTokenizePostRequestBodyContentApplicationJsonSchemaAccount, required)

## Response

### 200

OK

- `required` (any, optional)
- `nameOnAccount` (string, optional) — Account owner name.
- `name` (string, optional) — Account name.
- `type` (enum, optional) — Financial Institution Account Type: * `-1`: Unknown * `0`: Other * `1`: Checking * `2`: Savings
  - Allowed values: `-1`, `0`, `1`, `2`
- `profile` (enum, optional) — Financial Institution Account Profile: * `-1`: Unknown * `0`: Other * `1`: Personal * `2`: Business
  - Allowed values: `-1`, `0`, `1`, `2`
- `verification` (FinancialInstitutionAccountVerification, optional)
- `accountNumber` (string, optional) — Financial institution account number
- `routingNumber` (string, optional) — Bank Routing Number provided by the selected account.
- `iban` (string, optional) — IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders
- `token` (string, optional) — Account token for the returned account. This can be used to identify duplicate bank accounts in your system.
- `accountId` (string, optional)
- `providerId` (string, optional)
- `paymentProvider` (PaymentProvider, optional) — Details of the Financial institution
- `verified` (boolean, optional) — If true, the account is verified.
- `country` (enum, optional) — 2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.
  - Allowed values: `US`, `CA`, `UK`, `DE`, `AU`

## Errors

### 400 Bad Request Error

One of the request parameters is invalid (sending an invalid amount format string for example).

- `message` (string, optional)

## Types

### AccountsTokenizePostRequestBodyContentApplicationJsonSchemaAccount

- `accountNumber` (string, optional)
- `routingNumber` (string, optional)
- `iban` (string, optional) — IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders
- `nameOnAccount` (string, optional) — The name of the account owner for name verification purposes.

### FinancialInstitutionAccountVerification

- `verified` (boolean, required) — true if the account is verified; false otherwise.
- `type` (enum, required) — Verification Type: * `1`: Manual - The account was verified with manual account verification. For example, Manual Electronic Check and Micro Challenge Deposit. * `2`: Online Banking verification - The Account was verified using the Trustly Online Banking application. * `3`: Database verification - The Account was verified using the Trustly database or a Third-Party Service.
  - Allowed values: `1`, `2`, `3`
- `hasEnoughFunds` (boolean, required) — If true, there is enough balance in account.
- `verificationDate` (integer, required) — The date and time the verification was completed as a UNIX timestamp.
- `score` (enum, optional) — Verification Score: * `0`: Invalid input. The account or routing number are invalid. (Verified Mapping = false) * `1`: There is a strong indication that the account is invalid. (Verified Mapping = false) * `2`: There are active non-bankable returns on this account that are less than 3 years old. (Verified Mapping = false) * `3`: There are administrative returns on this account. (Verified Mapping = false) * `4`: The format appears to be suspicious. (Verified Mapping = false) * `5`: There is no data on this account or format. (Verified Mapping = false) * `6`: We have not seen this account, but the format appears to be valid. (Verified Mapping = true) * `7`: We have seen this account but have not received a final disposition on the transaction. (Verified Mapping = true) * `8`: We have seen this account, but not in the last 6 months, and have seen no returns associated with the account. (Verified Mapping = true) * `9`: We have seen this account in the last 6 months and have seen no returns associated with the account. (Verified Mapping = true) * `10`: This account has been directly validated with/by the financial institution or 3rd party. We have the highest confidence that this account is valid. (Verified Mapping = true)
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`
- `thirdPartyScore` (enum, optional) — Verification Third-Party Score: * `0`: Failed RT validation. (Verified Mapping = 0) * `100`: The supplier has a strong indication that this account is invalid. (Verified Mapping = 1) * `200`: The supplier has active non-bankable debt(s) on this account that are less than 3 years old. (Verified Mapping = 2) * `300`: The supplier has administrative returns on this account. (Verified Mapping = 3) * `400`: The supplier does not have Neg data on this account, but the format appears to be suspicious. (Verified Mapping = 4) * `500`: The supplier does not have data on this account or format. (Verified Mapping = 5) * `600`: The supplier has not seen this account, but the format appears valid. (Verified Mapping = 6) * `700`: The supplier has seen this account, but did not receive a final disposition on the transaction. (Verified Mapping = 7) * `800`: The supplier has seen this account, but not in the last 6 months. (Verified Mapping = 8) * `900`: The supplier has seen this account in the last 6 months. (Verified Mapping = 9) * `999`: The supplier has the highest confidence that this account is valid. (Verified Mapping = 10)
  - Allowed values: `0`, `100`, `200`, `300`, `400`, `500`, `600`, `700`, `800`, `900`, `999`
- `numberOfTries` (double, optional) — Number of tries allowed.
- `numberOfAttemptsLeft` (double, optional) — Number of remaining attempts.

### PaymentProvider

Details of the Financial institution

- `name` (string, required) — Name of the payment provider
- `paymentProviderId` (string, optional) — A unique identifier for the Payment Provider.
- `type` (double, optional)
- `instantPayoutAvailable` (boolean, optional) — Whether payment provider supports instant payout.
- `subType` (enum, optional) — Financial Institution Account Type: * `1000`: Online Banking * `2000`: Manual Entry * `2001`: Manual Entry with Challenge Deposit
  - Allowed values: `1000`, `2000`, `2001`
- `swift` (string, optional)
- `address` (Address, optional) — Valid mailing or billing address associated with the customer
- `country` (enum, optional) — 2-letter ISO country code of the financial institution
  - Allowed values: `US`, `CA`, `UK`, `DE`, `AU`
- `instantPayment` (boolean, optional)

### Address

Valid mailing or billing address associated with the customer

- `country` (string, required) — 2 character [ISO Country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
- `address1` (string, optional) — Address line 1 (e.g., street or PO Box)
- `address2` (string, optional) — Address line 2 (e.g., apartment, suite or unit number)
- `city` (string, optional) — City, district, town or village
- `state` (string, optional) — State, province or region code
- `zip` (string, optional) — ZIP or Postal Code

## Examples

### Example ABA

**Response**

```json
{
  "account": {
    "type": 1,
    "country": "US",
    "accountNumber": "1000000009",
    "routingNumber": "123456789",
    "verification": {
      "verified": false,
      "type": 4,
      "verificationDate": 1623322586771
    }
  }
}
```

**SDK Code**

```python Example ABA
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/tokenize"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example ABA
const url = 'https://sandbox.trustly.one/api/v1/accounts/tokenize';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example ABA
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/tokenize"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example ABA
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/tokenize")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java Example ABA
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/tokenize")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php Example ABA
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/tokenize', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example ABA
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/tokenize");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift Example ABA
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/tokenize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example IBAN

**Response**

```json
{
  "token": "K0B111900",
  "account": {
    "type": -1,
    "country": "NL",
    "accountNumber": "1272753638",
    "routingNumber": "1272753635",
    "iban": "NL111272753638",
    "verification": {
      "verified": false,
      "type": 4,
      "verificationDate": 1623322485662
    }
  }
}
```

**SDK Code**

```python Example IBAN
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/tokenize"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example IBAN
const url = 'https://sandbox.trustly.one/api/v1/accounts/tokenize';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example IBAN
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/tokenize"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example IBAN
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/tokenize")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java Example IBAN
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/tokenize")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php Example IBAN
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/tokenize', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example IBAN
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/tokenize");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift Example IBAN
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/tokenize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example

**Request**

```json
{
  "merchantId": "110005502",
  "account": {
    "accountNumber": "123456576",
    "routingNumber": "124003116",
    "type": 1
  }
}
```

**Response**

```json
{
  "account": {
    "type": 1,
    "country": "US",
    "accountNumber": "1000000009",
    "routingNumber": "123456789",
    "verification": {
      "verified": false,
      "type": 4,
      "verificationDate": 1623322586771
    }
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/tokenize"

payload = {
    "merchantId": "110005502",
    "account": {
        "accountNumber": "123456576",
        "routingNumber": "124003116",
        "type": 1
    }
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example
const url = 'https://sandbox.trustly.one/api/v1/accounts/tokenize';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"merchantId":"110005502","account":{"accountNumber":"123456576","routingNumber":"124003116","type":1}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/tokenize"

	payload := strings.NewReader("{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"type\": 1\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/tokenize")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"type\": 1\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/tokenize")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"type\": 1\n  }\n}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/tokenize', [
  'body' => '{
  "merchantId": "110005502",
  "account": {
    "accountNumber": "123456576",
    "routingNumber": "124003116",
    "type": 1
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/tokenize");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"123456576\",\n    \"routingNumber\": \"124003116\",\n    \"type\": 1\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "merchantId": "110005502",
  "account": [
    "accountNumber": "123456576",
    "routingNumber": "124003116",
    "type": 1
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/tokenize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example Name Verification enabled

**Request**

```json
{
  "merchantId": "110005502",
  "account": {
    "accountNumber": "1000001900",
    "routingNumber": "124003116",
    "nameOnAccount": "John Smith",
    "country": "US"
  }
}
```

**Response**

```json
{
  "account": {
    "type": 1,
    "country": "US",
    "accountNumber": "1000000009",
    "routingNumber": "123456789",
    "verification": {
      "verified": false,
      "type": 4,
      "verificationDate": 1623322586771
    }
  }
}
```

**SDK Code**

```python Example Name Verification enabled
import requests

url = "https://sandbox.trustly.one/api/v1/accounts/tokenize"

payload = {
    "merchantId": "110005502",
    "account": {
        "accountNumber": "1000001900",
        "routingNumber": "124003116",
        "nameOnAccount": "John Smith",
        "country": "US"
    }
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example Name Verification enabled
const url = 'https://sandbox.trustly.one/api/v1/accounts/tokenize';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"merchantId":"110005502","account":{"accountNumber":"1000001900","routingNumber":"124003116","nameOnAccount":"John Smith","country":"US"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Name Verification enabled
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/accounts/tokenize"

	payload := strings.NewReader("{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Name Verification enabled
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/accounts/tokenize")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Example Name Verification enabled
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/accounts/tokenize")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}")
  .asString();
```

```php Example Name Verification enabled
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/accounts/tokenize', [
  'body' => '{
  "merchantId": "110005502",
  "account": {
    "accountNumber": "1000001900",
    "routingNumber": "124003116",
    "nameOnAccount": "John Smith",
    "country": "US"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example Name Verification enabled
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/accounts/tokenize");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchantId\": \"110005502\",\n  \"account\": {\n    \"accountNumber\": \"1000001900\",\n    \"routingNumber\": \"124003116\",\n    \"nameOnAccount\": \"John Smith\",\n    \"country\": \"US\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example Name Verification enabled
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "merchantId": "110005502",
  "account": [
    "accountNumber": "1000001900",
    "routingNumber": "124003116",
    "nameOnAccount": "John Smith",
    "country": "US"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/accounts/tokenize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```